upload
Upload into a folder (no action — use target_entries)
Direction: target (write via target_entries)
Collection: target_entries
Put this object on a phase in team.yml (YAML). The request body schema mirrors that phase.
POST
/
gdrive
/
upload
upload
curl --request POST \
--url https://docs.getcliq.io/gdrive/upload \
--header 'Content-Type: application/json' \
--data '
{
"name": "gdrive-upload",
"agent": "gdrive",
"target_entries": [
{
"name": "artifact",
"ref": "folder-or-id",
"file": "path/to/payload.txt"
}
]
}
'import requests
url = "https://docs.getcliq.io/gdrive/upload"
payload = {
"name": "gdrive-upload",
"agent": "gdrive",
"target_entries": [
{
"name": "artifact",
"ref": "folder-or-id",
"file": "path/to/payload.txt"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'gdrive-upload',
agent: 'gdrive',
target_entries: [{name: 'artifact', ref: 'folder-or-id', file: 'path/to/payload.txt'}]
})
};
fetch('https://docs.getcliq.io/gdrive/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://docs.getcliq.io/gdrive/upload",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'gdrive-upload',
'agent' => 'gdrive',
'target_entries' => [
[
'name' => 'artifact',
'ref' => 'folder-or-id',
'file' => 'path/to/payload.txt'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://docs.getcliq.io/gdrive/upload"
payload := strings.NewReader("{\n \"name\": \"gdrive-upload\",\n \"agent\": \"gdrive\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"folder-or-id\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://docs.getcliq.io/gdrive/upload")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"gdrive-upload\",\n \"agent\": \"gdrive\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"folder-or-id\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://docs.getcliq.io/gdrive/upload")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"gdrive-upload\",\n \"agent\": \"gdrive\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"folder-or-id\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"text": "<string>",
"data": {}
}Body
application/json
Phase configuration for this action (team.yml shape).
⌘I
upload
curl --request POST \
--url https://docs.getcliq.io/gdrive/upload \
--header 'Content-Type: application/json' \
--data '
{
"name": "gdrive-upload",
"agent": "gdrive",
"target_entries": [
{
"name": "artifact",
"ref": "folder-or-id",
"file": "path/to/payload.txt"
}
]
}
'import requests
url = "https://docs.getcliq.io/gdrive/upload"
payload = {
"name": "gdrive-upload",
"agent": "gdrive",
"target_entries": [
{
"name": "artifact",
"ref": "folder-or-id",
"file": "path/to/payload.txt"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'gdrive-upload',
agent: 'gdrive',
target_entries: [{name: 'artifact', ref: 'folder-or-id', file: 'path/to/payload.txt'}]
})
};
fetch('https://docs.getcliq.io/gdrive/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://docs.getcliq.io/gdrive/upload",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'gdrive-upload',
'agent' => 'gdrive',
'target_entries' => [
[
'name' => 'artifact',
'ref' => 'folder-or-id',
'file' => 'path/to/payload.txt'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://docs.getcliq.io/gdrive/upload"
payload := strings.NewReader("{\n \"name\": \"gdrive-upload\",\n \"agent\": \"gdrive\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"folder-or-id\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://docs.getcliq.io/gdrive/upload")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"gdrive-upload\",\n \"agent\": \"gdrive\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"folder-or-id\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://docs.getcliq.io/gdrive/upload")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"gdrive-upload\",\n \"agent\": \"gdrive\",\n \"target_entries\": [\n {\n \"name\": \"artifact\",\n \"ref\": \"folder-or-id\",\n \"file\": \"path/to/payload.txt\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"text": "<string>",
"data": {}
}